Debian Bug report logs - #691252
ITP: visp -- Visual Servoing Platform

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Moulard <thomas.moulard@gmail.com>

Date: Tue, 23 Oct 2012 14:51:01 UTC

Owned by: Thomas Moulard <thomas.moulard@gmail.com>

Severity: wishlist

Fixed in version visp/2.6.2-1

Done: Thomas Moulard <thomas.moulard@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691252; Package wnpp. (Tue, 23 Oct 2012 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Moulard <thomas.moulard@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 23 Oct 2012 14:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Moulard <thomas.moulard@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: visp -- Visual Servoing Platform
Date: Tue, 23 Oct 2012 16:47:07 +0200
Package: wnpp
Severity: wishlist

ViSP, standing for Visual Servoing Platform, is unique. This software
is a complete cross-platform solution that allows prototyping and
developing applications in visual tracking and visual servoing.

ViSP can be useful in robotics, computer vision, augmented reality and
computer animation.

The packaging work is available on GitHub here:
https://github.com/thomas-moulard/visp-deb
...and has been validated against this PPA:
https://launchpad.net/~jrl-umi3218/+archive/visp

ViSP homepage: http://www.irisa.fr/lagadic/visp/visp.html

The current Debian packages produces the following lintian errors:
$ lintian -I ../visp_2.6.2-1.dsc ../libvisp-2-6_2.6.2-1_amd64.deb
../libvisp-2-6-dbg_2.6.2-1_amd64.deb ../libvisp-dev_2.6.2-1_amd64.deb
W: libvisp-2-6: package-name-doesnt-match-sonames libvisp-2-2
I: libvisp-2-6: spelling-error-in-binary usr/lib/libvisp-2.so.2.6.2
informations information
W: libvisp-2-6: binary-without-manpage usr/bin/visp-config
I: libvisp-2-6: no-symbols-control-file usr/lib/libvisp-2.so.2.6.2

PS: This is my first attempt to get a package into Debian.
-- 
Thomas Moulard



Owner recorded as Thomas Moulard <thomas.moulard@gmail.com>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 16:21:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 691252: 691253 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 23 Oct 2012 16:21:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 09 Jan 2013 04:27:04 GMT) Full text and rfc822 format available.

Reply sent to Thomas Moulard <thomas.moulard@gmail.com>:
You have taken responsibility. (Wed, 03 Apr 2013 23:03:15 GMT) Full text and rfc822 format available.

Notification sent to Thomas Moulard <thomas.moulard@gmail.com>:
Bug acknowledged by developer. (Wed, 03 Apr 2013 23:03:16 GMT) Full text and rfc822 format available.

Message #16 received at 691252-close@bugs.debian.org (full text, mbox):

From: Thomas Moulard <thomas.moulard@gmail.com>
To: 691252-close@bugs.debian.org
Subject: Bug#691252: fixed in visp 2.6.2-1
Date: Wed, 03 Apr 2013 23:00:08 +0000
Source: visp
Source-Version: 2.6.2-1

We believe that the bug you reported is fixed in the latest version of
visp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Moulard <thomas.moulard@gmail.com> (supplier of updated visp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 04 Dec 2012 10:59:26 +0900
Source: visp
Binary: libvisp-dev libvisp2 libvisp2-dbg libvisp-doc
Architecture: source amd64 all
Version: 2.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Moulard <thomas.moulard@gmail.com>
Description: 
 libvisp-dev - visual servoing library - development files
 libvisp-doc - visual servoing library - documentation
 libvisp2   - visual servoing library
 libvisp2-dbg - visual servoing library - debugging symbols
Closes: 691252
Changes: 
 visp (2.6.2-1) unstable; urgency=low
 .
   * Import new upstream version 2.6.2 (Closes: #691252).
   * Add patch to rename libvisp-2.so into libvisp.so.
   * Add patch to support multiarch (avoid making the assumption that
     $prefix/lib is the library directory but use $libdir instead).
   * Add patch that fix typos in source code.
   * Provide visp-config man page.
Checksums-Sha1: 
 a46ece8a7e78aad9bcf055ce9ab986cfa880fd1c 2547 visp_2.6.2-1.dsc
 17a9ecec131b5a73a7407e0af46abc8c8d9a65a9 1408555 visp_2.6.2.orig.tar.gz
 ba764a4c417f609248482be3cca5d00b7933f126 35699 visp_2.6.2-1.debian.tar.gz
 b6ddb1392a0e4cb42d1991e1a916e94efa0e9094 334120 libvisp-dev_2.6.2-1_amd64.deb
 f5874b3d9fa6fd346e2e98584559d0ce7b778f5c 1008812 libvisp2_2.6.2-1_amd64.deb
 1946fcaff88b4bb32f5c7a79fe6a244218efd714 6347068 libvisp2-dbg_2.6.2-1_amd64.deb
 81a1bc36c187070b3477f0148b15352113a576a6 33100440 libvisp-doc_2.6.2-1_all.deb
Checksums-Sha256: 
 3c1d1139369f8d8a2eafb5e065654ef636aa1c389687883905df18a4e8e1f255 2547 visp_2.6.2-1.dsc
 c94f0dea7e066780f3db04e357c28da9ff73bc1635f70f238c8bb16bc21234ca 1408555 visp_2.6.2.orig.tar.gz
 d1ec550fa7f812b447fce6087b5985162d4ad952516f8911aedf76b3a4f7cb1b 35699 visp_2.6.2-1.debian.tar.gz
 5d99481a3856f5553e501f5f45a1191fe1367df90ac2bf8eb16aa68f02517fab 334120 libvisp-dev_2.6.2-1_amd64.deb
 e78fef10e2d016554d46bceeb38ef6e131b50d4ebbb8e5d5409d64384d20b0c5 1008812 libvisp2_2.6.2-1_amd64.deb
 ba3c0317d3160ff0ce24a1f3e73d2647e1ee15a962c407972bab1758a53522fd 6347068 libvisp2-dbg_2.6.2-1_amd64.deb
 ed19db0c5c3e9acb8d7f44e05efa505c607b73f734320756a282ab1bc3beb46e 33100440 libvisp-doc_2.6.2-1_all.deb
Files: 
 7f7da1f7cb366dab42b5731ac0e28340 2547 libs extra visp_2.6.2-1.dsc
 434320c4f8ef7c54091a39a2bfd60967 1408555 libs extra visp_2.6.2.orig.tar.gz
 960a6433cb44c6133faa2ea6d4f56a23 35699 libs extra visp_2.6.2-1.debian.tar.gz
 770b8f00e49b8e5dc3db1eafd71d8ef3 334120 libdevel extra libvisp-dev_2.6.2-1_amd64.deb
 fb5c50567b2130a5b5302f835a29b2ab 1008812 libs extra libvisp2_2.6.2-1_amd64.deb
 0878cc9dfa29fdc3014e5a8e0e4ff3de 6347068 debug extra libvisp2-dbg_2.6.2-1_amd64.deb
 cc4bc2f25b21d45f92db07ec0734b56b 33100440 doc extra libvisp-doc_2.6.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ7L+KAAoJEDIkf7tArR+m24oP/ihSL8nGpmXuiZKhB9DufEQ+
MQ6DIGDle0lvYnklKKOaMDUHm3jhp2znXZ5lnIl8HWnHj/XCZB2Tq50xgUBlTuxZ
dzbES2BDO31fvAmHVzv7zeiIIZyqksJb/Qal/UsQs3SiUcXaPOnZ1ON8vUuJ9bCj
g9LzzLLTrDVCV3YsaR7CLdllzw3jiQ++dNM8GVXNWxbJuyEVQsBl4mWSz5rL1/gh
DYzu1fJ5gaTUBoQo0iul9QSsNa7T5XtLHW6IFarXtdwqP+QTZ3scUjR6P+kQdUtT
B/JzdLE68aZJfYICtFNLDKeXEVOept8wnoL4eL1/8PNsXsGmnTrkQph3kQezC/hE
4bx/a0s5gvbXvxQajmo4395JoAzYmHptAyRUmWZ4XZ5SsrhLBD9N/Mm0eOnGHkCn
YTu1F/cR9LT5uSVZOukQ6YJyyc9GWVubSsL0+4XPqAw5xLjpt0ecfrlWY/nNF9KR
428OzofMHQeC9xyMpi9pS+aAy0nodcZwGtbtt55dXa14mo9ALAx83sTeqQX9cxxO
6rAzrgW0aM7capAyo7+QTAiOylGElOEJ5MWh6RGT8rtBhGr4FZ+F9hRFrE0BsiF7
IFwd+nhmEiDBvW/Kxx0PYNU62hCENxPFrRz+k3Q25Ci3bjYWwMR4Isyt1JM4+Nb4
plEAdVid19ziPHIxRmkG
=3yRk
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 May 2013 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:59:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.